%define majver %(echo %version | cut -d. -f1-2)

Name:          qqc2-desktop-style
Version:       5.87.0
Release:       1mamba
Summary:       KDE Frameworks 5 QtQuickControls 2 style that uses QWidget's QStyle for painting
Group:         Graphical Desktop/Look 'n' feel
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/stable/frameworks/%{majver}/qqc2-desktop-style-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libgcc
BuildRequires: libkauth-devel
BuildRequires: libkcodecs-devel
BuildRequires: libkconfig-devel
BuildRequires: libkconfigwidgets-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkiconthemes-devel
BuildRequires: libkirigami2-devel
BuildRequires: libkwidgetsaddons-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: rpm-macros-kde5
BuildRequires: libkiconthemes-devel >= %{?epoch:%epoch:}%{version}-%{release}
BuildRequires: libkconfigwidgets-devel >= %{?epoch:%epoch:}%{version}-%{release}
BuildRequires: extra-cmake-modules
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
KDE Frameworks 5 QtQuickControls 2 style that uses QWidget's QStyle for painting.

%package -n lib%{name}
Group:         System/Libraries
Summary:       KDE Frameworks 5 QtQuickControls 2 style that uses QWidget's QStyle for painting

%description -n lib%{name}
KDE Frameworks 5 QtQuickControls 2 style that uses QWidget's QStyle for painting.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name}
/sbin/ldconfig
exit 0

%postun -n lib%{name}
/sbin/ldconfig
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/qt5/plugins/kf5/kirigami/org.kde.desktop.so
%dir %{_libdir}/qt5/qml/QtQuick/Controls.2
%dir %{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.desktop
%{_libdir}/qt5/qml/QtQuick/Controls.2/org.kde.desktop/*
%dir %{_libdir}/qt5/qml/org/kde/qqc2desktopstyle
%dir %{_libdir}/qt5/qml/org/kde/qqc2desktopstyle/private
%{_libdir}/qt5/qml/org/kde/qqc2desktopstyle/private/*

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_kde5_libdir}/cmake/KF5QQC2DeskopStyle
%{_kde5_libdir}/cmake/KF5QQC2DeskopStyle/KF5QQC2DeskopStyleConfig*.cmake
%dir %{_kde5_libdir}/cmake/KF5QQC2DesktopStyle
%{_kde5_libdir}/cmake/KF5QQC2DesktopStyle/KF5QQC2DesktopStyleConfig*.cmake

%changelog
* Tue Oct 12 2021 Automatic Build System <autodist@mambasoft.it> 5.87.0-1mamba
- automatic version update by autodist

* Mon Sep 13 2021 Automatic Build System <autodist@mambasoft.it> 5.86.0-1mamba
- automatic version update by autodist

* Sun Aug 22 2021 Automatic Build System <autodist@mambasoft.it> 5.85.0-1mamba
- automatic version update by autodist

* Mon Jul 12 2021 Automatic Build System <autodist@mambasoft.it> 5.84.0-1mamba
- automatic version update by autodist

* Thu Jun 17 2021 Automatic Build System <autodist@mambasoft.it> 5.83.0-1mamba
- automatic version update by autodist

* Sun May 09 2021 Automatic Build System <autodist@mambasoft.it> 5.82.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 5.81.0-1mamba
- automatic version update by autodist

* Sun Mar 14 2021 Automatic Build System <autodist@mambasoft.it> 5.80.0-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 5.79.0-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 5.78.0-1mamba
- automatic version update by autodist

* Thu Dec 24 2020 Automatic Build System <autodist@mambasoft.it> 5.77.0-1mamba
- automatic version update by autodist

* Mon Nov 16 2020 Automatic Build System <autodist@mambasoft.it> 5.76.0-1mamba
- automatic version update by autodist

* Thu Oct 15 2020 Automatic Build System <autodist@mambasoft.it> 5.75.0-1mamba
- automatic version update by autodist

* Thu Sep 17 2020 Automatic Build System <autodist@mambasoft.it> 5.74.0-1mamba
- automatic version update by autodist

* Fri Aug 14 2020 Automatic Build System <autodist@mambasoft.it> 5.73.0-1mamba
- automatic version update by autodist

* Tue Jul 14 2020 Automatic Build System <autodist@mambasoft.it> 5.72.0-1mamba
- automatic version update by autodist

* Wed Jun 17 2020 Automatic Build System <autodist@mambasoft.it> 5.71.0-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 5.70.0-1mamba
- automatic version update by autodist

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 5.69.0-1mamba
- automatic version update by autodist

* Tue Mar 17 2020 Automatic Build System <autodist@mambasoft.it> 5.68.0-1mamba
- automatic version update by autodist

* Wed Feb 12 2020 Automatic Build System <autodist@mambasoft.it> 5.67.1-1mamba
- automatic version update by autodist

* Tue Feb 11 2020 Automatic Build System <autodist@mambasoft.it> 5.67.0-1mamba
- automatic version update by autodist

* Tue Jan 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.66.0-1mamba
- update to 5.66.0

* Wed Jan 01 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 5.65.0-1mamba
- package created using the webbuild interface
